package annotation

// @Service()
// inherit @Component
import (
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdia "git.loafle.net/commons_go/di/injection/annotation"
)

const (
	ServiceTag = "@overFlow:Service"
)

func init() {
	cda.RegisterAnnotation(ServiceTag, reflect.TypeOf((*Service)(nil)))
}

type Service struct {
	cdia.Component
}
